38ac0dd2b0217d30fb8a9e49b621ad5b749e705d
[releng/global-jjb.git] / .jjb-test / expected-xml / github-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue>refs/heads/master</defaultValue>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>LFTOOLS_VERSION</name>
64           <description>Version of lftools to install. Can be a specific version like
65 '0.6.0' or a PEP-440 definition.
66 https://www.python.org/dev/peps/pep-0440/
67 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
68 </description>
69           <defaultValue>&lt;1.0.0</defaultValue>
70         </hudson.model.StringParameterDefinition>
71         <hudson.model.StringParameterDefinition>
72           <name>TOX_DIR</name>
73           <description>Path to directory containing tox.ini file.
74 </description>
75           <defaultValue/>
76         </hudson.model.StringParameterDefinition>
77         <hudson.model.StringParameterDefinition>
78           <name>TOX_ENVS</name>
79           <description>Tox environments to run build against.
80 Example: docs,py2,py3
81 </description>
82           <defaultValue/>
83         </hudson.model.StringParameterDefinition>
84       </parameterDefinitions>
85     </hudson.model.ParametersDefinitionProperty>
86   </properties>
87   <scm class="hudson.plugins.git.GitSCM">
88     <configVersion>2</configVersion>
89     <userRemoteConfigs>
90       <hudson.plugins.git.UserRemoteConfig>
91         <name>origin</name>
92         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
93         <url>git@github.com:example-org/releng/ciman</url>
94         <credentialsId>test-credential</credentialsId>
95       </hudson.plugins.git.UserRemoteConfig>
96     </userRemoteConfigs>
97     <branches>
98       <hudson.plugins.git.BranchSpec>
99         <name>$sha1</name>
100       </hudson.plugins.git.BranchSpec>
101     </branches>
102     <excludedUsers/>
103     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
105     <authorOrCommitter>false</authorOrCommitter>
106     <wipeOutWorkspace>true</wipeOutWorkspace>
107     <pruneBranches>false</pruneBranches>
108     <remotePoll>false</remotePoll>
109     <gitTool>Default</gitTool>
110     <submoduleCfg class="list"/>
111     <relativeTargetDir/>
112     <reference/>
113     <gitConfigName/>
114     <gitConfigEmail/>
115     <skipTag>true</skipTag>
116     <scmName/>
117     <useShallowClone>false</useShallowClone>
118     <ignoreNotifyCommit>false</ignoreNotifyCommit>
119     <extensions>
120       <hudson.plugins.git.extensions.impl.SubmoduleOption>
121         <disableSubmodules>false</disableSubmodules>
122         <recursiveSubmodules>true</recursiveSubmodules>
123         <trackingSubmodules>false</trackingSubmodules>
124         <reference/>
125         <timeout>10</timeout>
126       </hudson.plugins.git.extensions.impl.SubmoduleOption>
127       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
128     </extensions>
129   </scm>
130   <triggers class="vector">
131     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
132       <spec/>
133       <adminlist/>
134       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
135       <whitelist/>
136       <orgslist/>
137       <cron/>
138       <triggerPhrase>^recheck$</triggerPhrase>
139       <onlyTriggerPhrase>false</onlyTriggerPhrase>
140       <useGitHubHooks>true</useGitHubHooks>
141       <permitAll>true</permitAll>
142       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
143       <extensions>
144         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
145           <commitStatusContext>JJB Verify</commitStatusContext>
146         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
147       </extensions>
148     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
149   </triggers>
150   <builders>
151     <hudson.tasks.Shell>
152       <command>#!/bin/bash
153 # SPDX-License-Identifier: EPL-1.0
154 ##############################################################################
155 # Copyright (c) 2017 The Linux Foundation and others.
156 #
157 # All rights reserved. This program and the accompanying materials
158 # are made available under the terms of the Eclipse Public License v1.0
159 # which accompanies this distribution, and is available at
160 # http://www.eclipse.org/legal/epl-v10.html
161 ##############################################################################
162 echo &quot;---&gt; lftools-install.sh&quot;
163
164 # Script to install lftools via a version passed in via lf-infra-parameters
165 #
166 # Required parameters:
167 #
168 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
169 #                      set to a strict version number like '1.2.3' or using
170 #                      PEP-440 definitions.
171 #
172 #                      Examples:
173 #                          &lt;1.0.0
174 #                          &gt;=1.0.0,&lt;2.0.0
175 #
176 # By default a released version of lftools should always be used.
177 # The purpose of the 2 variables below is so that lftools devs can test
178 # unreleased versions of lftools. There are 2 methods to install a dev version
179 # of lftools:
180 #
181 #     1) gerrit patch: Used to test a patch that has not yet been merged.
182 #                      To do this set something like this:
183 #                          LFTOOLS_MODE=gerrit
184 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
185 #
186 #     2) git branch: Used to install an lftools version from a specific branch.
187 #                    To use this set the variables as follows:
188 #                          LFTOOLS_MODE=git
189 #                          LFTOOLS_REFSPEC=master
190 #
191 #     3) release : The intended use case and default setting.
192 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
193
194 LFTOOLS_MODE=release  # release | git | gerrit
195 LFTOOLS_REFSPEC=master
196
197 # Ensure we fail the job if any steps fail.
198 # DO NOT set -u as virtualenv's activate script has unbound variables
199 set -e -o pipefail
200
201 virtualenv --quiet &quot;/tmp/v/lftools&quot;
202 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
203 source &quot;/tmp/v/lftools/bin/activate&quot;
204 pip install --quiet --upgrade pip
205
206 case $LFTOOLS_MODE in
207     gerrit)
208         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
209         pushd /tmp/lftools
210         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
211         git checkout FETCH_HEAD
212         pip install --quiet --upgrade -r requirements.txt
213         pip install --quiet --upgrade -e .
214         popd
215         ;;
216
217     git)
218         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
219         ;;
220
221     release)
222         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
223             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
224         fi
225
226         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
227         ;;
228 esac
229
230 lftools --version
231
232 # pipdeptree prints out a lot of information because lftools pulls in many
233 # dependencies. Let's only print it if we want to debug.
234 # echo &quot;----&gt; Pip Dependency Tree&quot;
235 # pip install --quiet --upgrade pipdeptree
236 # pipdeptree
237 </command>
238     </hudson.tasks.Shell>
239     <EnvInjectBuilder>
240       <info>
241         <propertiesContent>PYTHON_VERSION=python3</propertiesContent>
242       </info>
243     </EnvInjectBuilder>
244     <hudson.tasks.Shell>
245       <command>#!/bin/bash
246 # SPDX-License-Identifier: EPL-1.0
247 ##############################################################################
248 # Copyright (c) 2017 The Linux Foundation and others.
249 #
250 # All rights reserved. This program and the accompanying materials
251 # are made available under the terms of the Eclipse Public License v1.0
252 # which accompanies this distribution, and is available at
253 # http://www.eclipse.org/legal/epl-v10.html
254 ##############################################################################
255 echo &quot;---&gt; tox-install.sh&quot;
256
257 # Ensure we fail the job if any steps fail.
258 # DO NOT set -u as virtualenv's activate script has unbound variables
259 set -e -o pipefail
260
261 virtualenv --quiet -p &quot;$PYTHON_VERSION&quot; &quot;/tmp/v/tox&quot;
262 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
263 source &quot;/tmp/v/tox/bin/activate&quot;
264 pip install --quiet --upgrade pip
265 pip install --quiet --upgrade pipdeptree
266 pip install --quiet --upgrade argparse detox tox tox-pyenv
267
268 echo &quot;----&gt; Pip Dependency Tree&quot;
269 pipdeptree
270 </command>
271     </hudson.tasks.Shell>
272     <hudson.tasks.Shell>
273       <command>#!/bin/bash
274 # SPDX-License-Identifier: EPL-1.0
275 ##############################################################################
276 # Copyright (c) 2017 The Linux Foundation and others.
277 #
278 # All rights reserved. This program and the accompanying materials
279 # are made available under the terms of the Eclipse Public License v1.0
280 # which accompanies this distribution, and is available at
281 # http://www.eclipse.org/legal/epl-v10.html
282 ##############################################################################
283 echo &quot;---&gt; tox-run.sh&quot;
284
285 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
286 source &quot;/tmp/v/tox/bin/activate&quot;
287
288 # Ensure we fail the job if any steps fail.
289 # DO NOT set -u as virtualenv's activate script has unbound variables
290 set -e -o pipefail
291
292 ARCHIVE_TOX_DIR=&quot;$WORKSPACE/archives/tox&quot;
293 mkdir -p &quot;$ARCHIVE_TOX_DIR&quot;
294 cd &quot;$WORKSPACE/$TOX_DIR&quot;
295
296 if [ -d &quot;/opt/pyenv&quot; ]; then
297     echo &quot;---&gt; Setting up pyenv&quot;
298     export PYENV_ROOT=&quot;/opt/pyenv&quot;
299     export PATH=&quot;$PYENV_ROOT/bin:$PATH&quot;
300 fi
301
302 if [ ! -z &quot;$TOX_ENVS&quot; ]; then
303     detox -e &quot;$TOX_ENVS&quot;  | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
304 else
305     detox | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
306 fi
307
308 # Disable SC2116 as we want to echo a space separated list of TOX_ENVS
309 # shellcheck disable=SC2116
310 for i in $(echo &quot;${TOX_ENVS//,/ }&quot;); do
311     cp -r &quot;.tox/$i/log&quot; &quot;$ARCHIVE_TOX_DIR/$i&quot;
312 done
313
314 echo &quot;Completed tox runs.&quot;
315 </command>
316     </hudson.tasks.Shell>
317   </builders>
318   <publishers>
319     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
320       <buildSteps>
321         <hudson.tasks.Shell>
322           <command>#!/bin/bash
323 # SPDX-License-Identifier: EPL-1.0
324 ##############################################################################
325 # Copyright (c) 2017 The Linux Foundation and others.
326 #
327 # All rights reserved. This program and the accompanying materials
328 # are made available under the terms of the Eclipse Public License v1.0
329 # which accompanies this distribution, and is available at
330 # http://www.eclipse.org/legal/epl-v10.html
331 ##############################################################################
332 echo &quot;---&gt; sysstat.sh&quot;
333 set +e  # DON'T fail build if script fails.
334
335 OS=$(facter operatingsystem)
336 case &quot;$OS&quot; in
337     Ubuntu)
338         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
339
340         # Dont run the script when systat is not enabled by default
341         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
342             exit 0
343         fi
344     ;;
345     CentOS|RedHat)
346         SYSSTAT_PATH=&quot;/var/log/sa&quot;
347     ;;
348     *)
349         # nothing to do
350         exit 0
351     ;;
352 esac
353
354 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
355 mkdir -p &quot;$SAR_DIR&quot;
356 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
357 # convert sar data to ascii format
358 while IFS=&quot;&quot; read -r sarfilenum
359 do
360     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
361 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
362
363 # DON'T fail build if script fails.
364 exit 0
365 </command>
366         </hudson.tasks.Shell>
367         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
368           <managedFiles>
369             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
370               <fileId>jenkins-log-archives-settings</fileId>
371               <targetLocation/>
372               <variable>SETTINGS_FILE</variable>
373             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
374           </managedFiles>
375         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
376         <EnvInjectBuilder>
377           <info>
378             <propertiesContent>SERVER_ID=logs</propertiesContent>
379           </info>
380         </EnvInjectBuilder>
381         <hudson.tasks.Shell>
382           <command>#!/bin/bash
383 # SPDX-License-Identifier: EPL-1.0
384 ##############################################################################
385 # Copyright (c) 2017 The Linux Foundation and others.
386 #
387 # All rights reserved. This program and the accompanying materials
388 # are made available under the terms of the Eclipse Public License v1.0
389 # which accompanies this distribution, and is available at
390 # http://www.eclipse.org/legal/epl-v10.html
391 ##############################################################################
392 echo &quot;---&gt; create-netrc.sh&quot;
393
394 # Ensure we fail the job if any steps fail.
395 set -eu -o pipefail
396
397 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
398 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
399     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
400     -v x:username -o &quot;:&quot; -v x:password \
401     &quot;$SETTINGS_FILE&quot;)
402
403 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
404 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
405 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
406
407 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
408 </command>
409         </hudson.tasks.Shell>
410         <hudson.tasks.Shell>
411           <command>#!/bin/bash
412 # SPDX-License-Identifier: EPL-1.0
413 ##############################################################################
414 # Copyright (c) 2017 The Linux Foundation and others.
415 #
416 # All rights reserved. This program and the accompanying materials
417 # are made available under the terms of the Eclipse Public License v1.0
418 # which accompanies this distribution, and is available at
419 # http://www.eclipse.org/legal/epl-v10.html
420 ##############################################################################
421 echo &quot;---&gt; lftools-install.sh&quot;
422
423 # Script to install lftools via a version passed in via lf-infra-parameters
424 #
425 # Required parameters:
426 #
427 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
428 #                      set to a strict version number like '1.2.3' or using
429 #                      PEP-440 definitions.
430 #
431 #                      Examples:
432 #                          &lt;1.0.0
433 #                          &gt;=1.0.0,&lt;2.0.0
434 #
435 # By default a released version of lftools should always be used.
436 # The purpose of the 2 variables below is so that lftools devs can test
437 # unreleased versions of lftools. There are 2 methods to install a dev version
438 # of lftools:
439 #
440 #     1) gerrit patch: Used to test a patch that has not yet been merged.
441 #                      To do this set something like this:
442 #                          LFTOOLS_MODE=gerrit
443 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
444 #
445 #     2) git branch: Used to install an lftools version from a specific branch.
446 #                    To use this set the variables as follows:
447 #                          LFTOOLS_MODE=git
448 #                          LFTOOLS_REFSPEC=master
449 #
450 #     3) release : The intended use case and default setting.
451 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
452
453 LFTOOLS_MODE=release  # release | git | gerrit
454 LFTOOLS_REFSPEC=master
455
456 # Ensure we fail the job if any steps fail.
457 # DO NOT set -u as virtualenv's activate script has unbound variables
458 set -e -o pipefail
459
460 virtualenv --quiet &quot;/tmp/v/lftools&quot;
461 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
462 source &quot;/tmp/v/lftools/bin/activate&quot;
463 pip install --quiet --upgrade pip
464
465 case $LFTOOLS_MODE in
466     gerrit)
467         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
468         pushd /tmp/lftools
469         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
470         git checkout FETCH_HEAD
471         pip install --quiet --upgrade -r requirements.txt
472         pip install --quiet --upgrade -e .
473         popd
474         ;;
475
476     git)
477         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
478         ;;
479
480     release)
481         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
482             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
483         fi
484
485         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
486         ;;
487 esac
488
489 lftools --version
490
491 # pipdeptree prints out a lot of information because lftools pulls in many
492 # dependencies. Let's only print it if we want to debug.
493 # echo &quot;----&gt; Pip Dependency Tree&quot;
494 # pip install --quiet --upgrade pipdeptree
495 # pipdeptree
496
497 #!/bin/bash
498 # SPDX-License-Identifier: EPL-1.0
499 ##############################################################################
500 # Copyright (c) 2017 The Linux Foundation and others.
501 #
502 # All rights reserved. This program and the accompanying materials
503 # are made available under the terms of the Eclipse Public License v1.0
504 # which accompanies this distribution, and is available at
505 # http://www.eclipse.org/legal/epl-v10.html
506 ##############################################################################
507 echo &quot;---&gt; logs-deploy.sh&quot;
508
509 # Ensure we fail the job if any steps fail.
510 set -eu -o pipefail
511
512 set -x  # Trace commands for this script to make debugging easier.
513
514 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
515 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
516
517 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
518 then
519     set +x # Disable trace since we no longer need it
520
521     echo &quot;WARNING: Logging server not set&quot;
522 else
523     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
524     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
525     BUILD_URL=&quot;${BUILD_URL}&quot;
526
527     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
528     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
529
530     set +x  # Disable trace since we no longer need it.
531
532     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
533 fi
534 </command>
535         </hudson.tasks.Shell>
536         <hudson.tasks.Shell>
537           <command>#!/bin/bash
538 # SPDX-License-Identifier: EPL-1.0
539 ##############################################################################
540 # Copyright (c) 2017 The Linux Foundation and others.
541 #
542 # All rights reserved. This program and the accompanying materials
543 # are made available under the terms of the Eclipse Public License v1.0
544 # which accompanies this distribution, and is available at
545 # http://www.eclipse.org/legal/epl-v10.html
546 ##############################################################################
547
548 # Clear log credential files
549 rm &quot;$SETTINGS_FILE&quot;
550 rm ~/.netrc
551 </command>
552         </hudson.tasks.Shell>
553         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
554           <regexp>^Build logs: .*</regexp>
555         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
556       </buildSteps>
557       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
558       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
559       <markBuildUnstable>false</markBuildUnstable>
560     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
561     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
562       <patterns>
563         <hudson.plugins.ws__cleanup.Pattern>
564           <pattern>**/*.jenkins-trigger</pattern>
565           <type>EXCLUDE</type>
566         </hudson.plugins.ws__cleanup.Pattern>
567       </patterns>
568       <deleteDirs>false</deleteDirs>
569       <cleanupMatrixParent>false</cleanupMatrixParent>
570       <externalDelete/>
571       <cleanWhenSuccess>true</cleanWhenSuccess>
572       <cleanWhenUnstable>true</cleanWhenUnstable>
573       <cleanWhenFailure>true</cleanWhenFailure>
574       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
575       <cleanWhenAborted>true</cleanWhenAborted>
576       <notFailBuild>true</notFailBuild>
577     </hudson.plugins.ws__cleanup.WsCleanup>
578   </publishers>
579   <buildWrappers>
580     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
581     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
582       <timeoutMinutes>10</timeoutMinutes>
583       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
584       <failBuild>true</failBuild>
585       <writingDescription>false</writingDescription>
586       <timeoutPercentage>0</timeoutPercentage>
587       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
588       <timeoutType>absolute</timeoutType>
589     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
590     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
591     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
592       <user>test-credential</user>
593     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
594     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
595     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
596       <managedFiles>
597         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
598           <fileId>npmrc</fileId>
599           <targetLocation>$HOME/.npmrc</targetLocation>
600           <variable/>
601         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
602       </managedFiles>
603     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
604   </buildWrappers>
605 </project>